import shutil
import xml.etree.ElementTree as ET

# edit the folder names for the source and target Toon's rra data and the output folder
sourceDir = 'c:/temp/rraSource/'
targetDir = 'c:/temp/rraTarget/'
outputDir = 'c:/temp/rraOutput/'
# stop editing here

treeSource = ET.parse(sourceDir + 'config_hcb_rrd.xml')
treeTarget = ET.parse(targetDir + 'config_hcb_rrd.xml')
for rrdLoggerSource in treeSource.findall('rrdLogger'):
	for rrdLoggerTarget in treeTarget.findall('rrdLogger'):
		rrdSource = rrdLoggerSource.find('name').text
		rrdTarget = rrdLoggerTarget.find('name').text
		if rrdSource == rrdTarget:
			rrdSourceUuid = rrdLoggerSource.find('uuid').text
			rrdTargetUuid = rrdLoggerTarget.find('uuid').text
			print (sourceDir + rrdSourceUuid + '.dat', sourceDir + rrdTargetUuid + '.dat', rrdTarget)
			shutil.copyfile(sourceDir + rrdSourceUuid + '.dat', outputDir + rrdTargetUuid + '.dat')
	
			if rrdSource == 'elec_flow' or rrdSource == 'gas_flow':
				shutil.copyfile(sourceDir + rrdSourceUuid + '-5min.rra', outputDir + rrdTargetUuid + '-5min.rra')

			if rrdSource == 'elec_quantity_nt' or rrdSource == 'elec_quantity_nt_orig' or rrdSource == 'elec_quantity_lt' or rrdSource == 'elec_quantity_lt_orig' or rrdSource == 'gas_quantity' or \
			   rrdSource == 'heat_quantity' or rrdSource == 'elec_quantity_nt_produ' or rrdSource == 'elec_quantity_lt_produ':
				shutil.copyfile(sourceDir + rrdSourceUuid + '-10yrdays.rra', outputDir + rrdTargetUuid + '-10yrdays.rra')
				shutil.copyfile(sourceDir + rrdSourceUuid + '-5yrhours.rra', outputDir + rrdTargetUuid + '-5yrhours.rra')

			if rrdSource == 'thermstat_outsideRate' or rrdSource == 'thermstat_boilerOpMode' or rrdSource == 'thermstat_internalSetpoint' or rrdSource == 'thermstat_longTermOffset' or \
			   rrdSource == 'thermstat_realTemps' or rrdSource == 'thermstat_setpoint' or rrdSource == 'thermstat_boilerDhwBurnerHours' or rrdSource == 'thermstat_boilerBurnerHours' or \
			   rrdSource == 'thermstat_boilerRetTemp' or rrdSource == 'thermstat_boilerTemp' or rrdSource == 'thermstat_boilerSetpoint' or rrdSource == 'thermstat_boilerPumpStarts' or \
			   rrdSource == 'thermstat_boilerSuccesfulBurnerStarts' or rrdSource == 'thermstat_boilerFailedBurnerStarts' or rrdSource == 'thermstat_boilerChPressure' or rrdSource == 'thermstat_dhwBurnerStarts' or \
			   rrdSource == 'thermstat_heatingFactor' or rrdSource == 'thermstat_programState':
				shutil.copyfile(sourceDir + rrdSourceUuid + '-30days.rra', outputDir + rrdTargetUuid + '-30days.rra')
				shutil.copyfile(sourceDir + rrdSourceUuid + '-year.rra', outputDir + rrdTargetUuid + '-year.rra')
